- Fluid Reference Documentation
- Fluid 1.0.0

# Units QML Type

Units. More...

Import Statement: | import Fluid.Controls 1.0

- List of all members, including inherited members

## Properties

- gridUnit : int
- iconSizes : QtObject
- largeSpacing : real
- longDuration : int
- mediumDuration : int
- mediumSpacing : real
- shortDuration : int
- smallSpacing : real

## Methods

- int gu(real size)
- int roundToIconSize(real size)

## Detailed Description

## Property Documentation

[read-only] gridUnit : int

Fundamental unit of space for sizes depending on the current font. It correspond to the capital letter M width in pixel.

[read-only] iconSizes : QtObject

Standard icon sizes.

[read-only] largeSpacing : real

The amount of spacing that should be used inside bigger UI elements such as padding in a dialog box.

[read-only] longDuration : int

Duration for long animations such as windows opening or closing.

[read-only] mediumDuration : int

Duration for medium length animations.

[read-only] mediumSpacing : real

The amount of spacing that should be used inside medium UI elements such as padding between title and body text in a dialog box.

[read-only] shortDuration : int

Duration for short animations to make UI events noticeable.

[read-only] smallSpacing : real

The amount of spacing that should be used around smaller UI elements. It can be used as margin around button box and spacing between buttons.

## Method Documentation

int gu(real size)

Returns a round size in pixels multiplied by grid unit.

int roundToIconSize(real size)

Returns the size in pixel closes to the icon size.